package com.e6yun.project.sdk.api.pojo.basevo.business;

import com.google.common.base.MoreObjects;

import java.util.Date;

/**
 * @Description TODO
 * @Author xxx@e6yun.com
 * @Created Date: 2021/7/8 10:59
 * @ClassName AiPictureVOListVO
 * @Remark
 */
public class AiPictureVOList {
    private Integer vehicleId;

    private String startTime;

    private String endTime;

    private Integer firstType;

    private Integer secondType;

    private Integer DataType;

    private Integer curPage;

    private Integer pageSize;

    private String sortIndx;

    private String sortDir;

    public Integer getVehicleId() {
        return vehicleId;
    }

    public void setVehicleId(Integer vehicleId) {
        this.vehicleId = vehicleId;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getFirstType() {
        return firstType;
    }

    public void setFirstType(Integer firstType) {
        this.firstType = firstType;
    }

    public Integer getSecondType() {
        return secondType;
    }

    public void setSecondType(Integer secondType) {
        this.secondType = secondType;
    }

    public Integer getDataType() {
        return DataType;
    }

    public void setDataType(Integer dataType) {
        DataType = dataType;
    }

    public Integer getCurPage() {
        return curPage;
    }

    public void setCurPage(Integer curPage) {
        this.curPage = curPage;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getSortIndx() {
        return sortIndx;
    }

    public void setSortIndx(String sortIndx) {
        this.sortIndx = sortIndx;
    }

    public String getSortDir() {
        return sortDir;
    }

    public void setSortDir(String sortDir) {
        this.sortDir = sortDir;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("vehicleId", vehicleId)
                .add("startTime", startTime)
                .add("endTime", endTime)
                .add("firstType", firstType)
                .add("secondType", secondType)
                .add("DataType", DataType)
                .add("curPage", curPage)
                .add("pageSize", pageSize)
                .add("sortIndx", sortIndx)
                .add("sortDir", sortDir)
                .toString();
    }
}
